﻿using DataSharing.Province.SendTask;
using DataSharing.Province.SendTask.ProvinceOther;
using DataSharing.Share.Dtos.HotlineWeb;
using DataSharing.Share.Enums;
using SqlSugar;
using XF.Domain.Dependency;

namespace DataSharing.Repository
{
    public class WaitSendTaskRepository : BaseRepository<DsWaitSendTaskProvinceOther>, IWaitSendTaskRepository, IScopeDependency
    {
        public WaitSendTaskRepository(ISugarUnitOfWork<DataSharingDbContext> uow) : base(uow)
        {

        }

        public ISugarQueryable<T> UnionAll<T>(params ISugarQueryable<T>[] queryables) where T : class
        {
            return Db.UnionAll(queryables);
        }

        ///// <summary>
        ///// 
        ///// </summary>
        ///// <param name="t1"></param>
        ///// <param name="t2"></param>
        ///// <param name="t3"></param>
        ///// <param name="t4"></param>
        ///// <returns></returns>
        //public ISugarQueryable<DsWaitSendTaskDto> UnionAll(ISugarQueryable<DsWaitSendTaskDto> t1,
        //    ISugarQueryable<DsWaitSendTaskDto> t2,
        //    ISugarQueryable<DsWaitSendTaskDto> t3,
        //    ISugarQueryable<DsWaitSendTaskDto> t4,
        //    ISugarQueryable<DsWaitSendTaskDto> t5)
        //{
        //    return Db.UnionAll(t1, t2, t3, t4, t5)
        //          .Select(p => new DsWaitSendTaskDto
        //          {
        //              Id = p.Id,
        //              ProvinceNo = p.ProvinceNo,
        //              FirstTime = p.FirstTime,
        //              LastTime = p.LastTime,
        //              SendTimes = p.SendTimes,
        //              PlatformSource = EPlatformSource.Province,
        //              TaskType = p.TaskType,
        //              HttpMethod = p.HttpMethod,
        //              Path = p.Path,
        //              Request = p.Request,
        //              PathType = p.PathType,
        //              GenerationTime = p.GenerationTime,
        //              CreationTime=p.CreationTime,
        //              State = p.State
        //          })
        //        .MergeTable();
        //}
    }
}
